package mak.mods.CobbleGenerator;

import net.minecraft.src.Block;
import net.minecraft.src.BlockContainer;
import net.minecraft.src.CreativeTabs;
import net.minecraft.src.Material;
import net.minecraft.src.TileEntity;
import net.minecraft.src.World;

public class BlockCobbleGenerator extends BlockContainer {

	public BlockCobbleGenerator(int par1, int par2) {
		super(par1, par2, Material.iron);
		setCreativeTab(mod_CobbleGenerator.ic2tab);
		setStepSound(Block.soundMetalFootstep);
		setBlockName("blockCobbleGenerator");
		setHardness(3F);
	}

	@Override
	public TileEntity createNewTileEntity(World world) {
		return new TileEntityCobbleGenerator();
	}

	public String getTextureFile() {
		return "/img/block.png";
	}

}
